GlueGen: com.jogamp.common.nio.TestPointerBufferEndian Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
com.jogamp.common.nio.TestPointerBufferEndian Class Reference
Inheritance diagram for com.jogamp.common.nio.TestPointerBufferEndian:
Collaboration diagram for com.jogamp.common.nio.TestPointerBufferEndian:

## Public Member Functions

void | testDirect ()
void | testIndirect ()
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Protected Member Functions

void | testImpl (final boolean direct)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Definition at line 20 of file TestPointerBufferEndian.java.

## Member Function Documentation

## ◆ main()

static void com.jogamp.common.nio.TestPointerBufferEndian.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 56 of file TestPointerBufferEndian.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ testDirect()

void com.jogamp.common.nio.TestPointerBufferEndian.testDirect | ( |  | ) |

Definition at line 47 of file TestPointerBufferEndian.java.

## ◆ testImpl()

void com.jogamp.common.nio.TestPointerBufferEndian.testImpl | ( | final boolean | direct | ) |

protected

Definition at line 22 of file TestPointerBufferEndian.java.

Here is the call graph for this function:

## ◆ testIndirect()

void com.jogamp.common.nio.TestPointerBufferEndian.testIndirect | ( |  | ) |

Definition at line 52 of file TestPointerBufferEndian.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/nio/TestPointerBufferEndian.java